# octavia.volume.drivers.noop_driver package

## Submodules

## octavia.volume.drivers.noop_driver.driver module

class NoopManager

  Bases: `object`

  create_volume_from_image(image_id, availability_zone=None)
  delete_volume(volume_id)
  get_image_from_volume(volume_id)
  validate_availability_zone(availability_zone)

class NoopVolumeDriver

  Bases: `VolumeBase`

  create_volume_from_image(image_id, availability_zone=None)

    Create volume for instance

    Parameters:

      - image_id – ID of amphora image

      - availability_zone – Availability zone data dict

    :return volume id

  delete_volume(volume_id)

    Delete volume

    Parameters:

      volume_id – ID of amphora volume

  get_image_from_volume(volume_id)

    Get cinder volume

    Parameters:

      volume_id – ID of amphora volume

    :return image id

  validate_availability_zone(availability_zone)

    Validates that a volume availability zone exists.

    Parameters:

      availability_zone – Name of the availability zone to lookup.

    Returns:

      None

    Raises:

      NotFound

    Raises:

      NotImplementedError

## Module contents

this page last updated: 2026-03-10 18:02:42

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug